<?php

namespace Drupal\geolocation_baidu\Plugin\geolocation\MapFeature;

use Drupal\geolocation\MapProviderInterface;
use Drupal\geolocation\Plugin\geolocation\MapFeature\ControlElementBase;

/**
 * Provides map zoom control support.
 *
 * @MapFeature(
 *   id = "baidu_navigation_control",
 *   name = @Translation("Baidu Navigation control"),
 *   description = @Translation("Add map zoom controls."),
 *   type = "baidu",
 * )
 */
class BaiduNavigationControl extends ControlElementBase {

  /**
   * {@inheritdoc}
   */
  public static function getDefaultSettings(): array {
    $settings = parent::getDefaultSettings();

    $settings['type'] = 'BMAP_NAVIGATION_CONTROL_LARGE';

    return $settings;
  }

  /**
   * {@inheritdoc}
   */
  public function getSettingsForm(array $settings, array $parents = [], MapProviderInterface $mapProvider = NULL): array {
    $form = parent::getSettingsForm($settings, $parents, $mapProvider);

    $form['type'] = [
      '#type' => 'select',
      '#title' => $this->t('Type'),
      '#options' => [
        'BMAP_NAVIGATION_CONTROL_LARGE' => $this->t('Standard pan and zoom controls'),
        'BMAP_NAVIGATION_CONTROL_SMALL' => $this->t('Contains pan and zoom buttons'),
        'BMAP_NAVIGATION_CONTROL_PAN' => $this->t('Contains the pan button only'),
        'BMAP_NAVIGATION_CONTROL_ZOOM' => $this->t('Contains zoom buttons only'),
      ],
      '#default_value' => $settings['type'],
    ];

    return $form;
  }

}
